#
# spec file for package xabacus (Version 5.5.2)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  openmotif openmotif-devel xf86 xpm
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg openmotif openmotif-devel pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         xabacus
Copyright:    1994 David Albert Bagley
Group:        X11/Applications
Autoreqprov:  on
Version:      5.5.2
Release:      277
Summary:      X-based abacus
Source: xabacus-%{version}.tar.gz
Patch: xabacus-%{version}.dif
BuildRoot:    /var/tmp/%{name}-build

%description
There are books on how to use an abacus, but basically all it does
is add and subtract, the rest you have to do in your head.  Essentially,
this is a proof by induction that a computer is more powerful than an
abacus, since a computer program can contain an abacus. (But then again,
you can simulate a computer within a computer, so what does that show).
Actually, with a real abacus, one can move more than one row at a time
with 10 fingers.  But on the other hand, a real abacus does not have
the current sum displayed as an integer.

Authors:
--------
    David Albert Bagley <bagleyd@bigfoot.com>

SuSE series: fun

%prep
%setup -n xabacus
%patch

%build
./configure --prefix=/usr/X11R6
test -x /usr/sbin/switch_motif_linking && \
  /usr/sbin/switch_motif_linking dynamic
make

%install
# not suitable for buildroot
#make install
#
# bin and man
install -m 755 -oroot -groot -d $RPM_BUILD_ROOT/usr/X11R6/bin/
install -m 755 -oroot -groot xabacus $RPM_BUILD_ROOT/usr/X11R6/bin/
install -m 755 -oroot -groot -d $RPM_BUILD_ROOT/usr/X11R6/man/man6
install -m 644 -oroot -groot xabacus.man $RPM_BUILD_ROOT/usr/X11R6/man/man6/xabacus.6
#
# app-defaults
install -m 755 -oroot -groot -d $RPM_BUILD_ROOT/usr/X11R6/lib/X11/app-defaults/
install -m 444 -oroot -groot Abacus.ad $RPM_BUILD_ROOT/usr/X11R6/lib/X11/app-defaults/Abacus
install -m 444 -oroot -groot Abacusjp.ad $RPM_BUILD_ROOT/usr/X11R6/lib/X11/app-defaults/Abacusjp
install -m 444 -oroot -groot Abacus16.ad $RPM_BUILD_ROOT/usr/X11R6/lib/X11/app-defaults/Abacus16
#
# lessons
#
install -m 755 -oroot -groot -d $RPM_BUILD_ROOT/usr/share/games/xabacus
install -m 644 -oroot -groot Lesson* $RPM_BUILD_ROOT/usr/share/games/xabacus/

%clean
rm -rf $RPM_BUILD_ROOT

%files
/usr/X11R6/bin/xabacus
%config /usr/X11R6/lib/X11/app-defaults/Abacus*
%doc /usr/X11R6/man/man6/xabacus.6*
/usr/share/games/xabacus/

%changelog -n xabacus
* Tue Nov 21 2000 - ro@suse.de
- use openmotif
* Thu Jul 13 2000 - vinil@suse.cz
- lessons added
* Tue Apr 18 2000 - vinil@suse.cz
- buildroot added
* Tue Jan 25 2000 - ro@suse.de
- update to 5.5.2
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Mon Jul 12 1999 - uli@suse.de
- now builds with lesstif
* Tue Feb 17 1998 - ro@suse.de
- build statically linked version only (dynamic is 8 bytes larger)
